Skip to content

Get segment analysis enrolled in prospect analysis by prospect analysis ID

Request

Gets segment analysis enrolled in prospect analysis by prospect analysis ID. This returns enrolled segment analysis name, properties, chance of success, resource volumes and entitlement (block/license) information linked to these segments.

Security
bearer and appkey
Path
idinteger, (int32)required

Prospect analysis ID

Headers
slb-contract-idstring^[a-zA-Z0-9_-]+$required

Delfi Contract ID

Example:My-contract-ID
curl -i -X GET \
  'https://eu-api.delfi.slb.com/spar/assessments/v1/prospectanalysisaggregation/{id}/details' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-contract-id: My-contract-ID'

Responses

OK

Body
idinteger, (int32)

The unique identifier of the prospect analysis.

summarystring

The prospect analysis summary.

segmentsArray of objects(SegmentAnalysisAggregationDto)

The collection of segment analysis aggregations.

Response
{
  "id": 0,
  "summary": "string",
  "segments": [
    {
      "id": 0,
      "name": "string",
      "folderDetails": {
        "basins": [
          {
            "id": 0,
            "name": "string"
          }
        ],
        "plays": [
          {
            "id": 0,
            "name": "string"
          }
        ]
      },
      "summary": "string",
      "entitlements": [
        {
          "licenseId": 0,
          "label": "string",
          "segmentId": 0,
          "segmentName": "string",
          "licenseVersion": 0,
          "block": "string",
          "wiShare": 0.1,
          "netShare": 0.1,
          "useOilEquivalentsCoverage": true,
          "useMultipleFactor": true,
          "oilEquivalentsSingleFactor": 0.1,
          "analysisId": 0,
          "analysisName": "string",
          "analysisType": "string"
        }
      ],
      "analysisResult": {
        "successDiscovery": 0.1,
        "aboveScreeningThreshold": 0.1,
        "wellPath": 0.1,
        "results": {
          "property1": {
            "mean": 0.1,
            "probabilityValues": {
              "property1": null,
              "property2": null
            }
          },
          "property2": {
            "mean": 0.1,
            "probabilityValues": {
              "property1": null,
              "property2": null
            }
          }
        }
      },
      "properties": {
        "property1": {
          "label": "string",
          "value": "string"
        },
        "property2": {
          "label": "string",
          "value": "string"
        }
      }
    }
  ]
}